"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getNodeApiInclude = getNodeApiInclude;
const fs_extra_1 = require("fs-extra");
const resolve_1 = require("./resolve");
const search_1 = require("./search");
function getNodeApiInclude(projectRoot, nodeAPI) {
    return __awaiter(this, void 0, void 0, function* () {
        if (yield (0, fs_extra_1.pathExists)(nodeAPI)) {
            return nodeAPI;
        }
        const resolvedPath = yield (0, resolve_1.resolvePackage)(projectRoot, nodeAPI);
        if (typeof resolvedPath === "string") {
            return (0, resolve_1.requireInclude)(resolvedPath);
        }
        return (0, search_1.searchPackage)(projectRoot, nodeAPI);
    });
}
//# sourceMappingURL=index.js.map